### Function

# GLib ref_string_acquire

since: 2.58

#### Declaration

    char*
    g_ref_string_acquire (
      char* str
    )

#### Description

Acquires a reference on a string.

Available since: 2.58

#### Parameters

`str`

  Type: `char*`

  A reference counted string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `char*`

The given string, with its reference count increased.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.